#ifndef __TOUCHM_DEF_H__
#define __TOUCHM_DEF_H__

#define ROM_SIZE  8

typedef struct _tm_rom_id
{
  u8 RomId[ROM_SIZE];
}TM_ROM_ID,*PTM_ROM_ID;

#define TOUCHM_MAJOR        62
#define TOUCHM_MINOR_BASE   20
#define TOUCHM_MAX_DEV_CNT   8

#define RDS01_VID   0x067B
#define RDS01_PID   0x2303

#define IOCTL_TM_BASE   0x414c5449 //altm
#define TM_ERR_BASE     130

#define RDS01_MAX_BLOCK_SIZE  8
//#define TM_MAX_BLOCK_SIZE     32
#define TM_SCRATCHPAD_SIZE    32

#define IOCTL_TM_CHK_SL   (IOCTL_TM_BASE+1)
#define IOCTL_TM_GET_ROM  (IOCTL_TM_BASE+2)
#define IOCTL_TM_RESET    (IOCTL_TM_BASE+3)
#define IOCTL_TM_SKIP_ROM (IOCTL_TM_BASE+4)


#define ETM_OK             0
#define ETM_NO_SLAVE       (TM_ERR_BASE+0)
#define ETM_BAD_CRC        (TM_ERR_BASE+1)
#define ETM_ERR_WRITE      (TM_ERR_BASE+2)
#define ETM_ERR_READ       (TM_ERR_BASE+3)

#define CMD_READ_ROM          0x33
#define CMD_SKIP_ROM          0xCC
#define CMD_READ_MEM          0xF0
#define CMD_WRITE_SCRATCHPAD  0x0F
#define CMD_READ_SCRATCHPAD   0xAA
#define CMD_COPY_SCRATCHPAD   0x55

#endif
